@echo off
IF NOT "x%1"=="xsilent" echo *** FakeWP clean ***
IF NOT "x%1"=="xsilent" echo.
IF NOT "x%1"=="xsilent" echo WARNING!!! FakeWP will be reset to 'factory defaults' all not backuped data
IF NOT "x%1"=="xsilent" echo *will* be lost!
IF NOT "x%1"=="xsilent" echo.
IF NOT "x%1"=="xsilent" echo Hit Ctrl+C or close the CMD-Window to cancel - press any key to continue
IF NOT "x%1"=="xsilent" pause >nul

setlocal

pushd %~dp0..
echo @IF EXIST %%1 DEL /F /Q %%1 > %~dp0~silentdel.cmd
echo @IF EXIST %%1 RMDIR /S /Q %%1 > %~dp0~silentrmdir.cmd
set SDEL=call %~dp0~silentdel.cmd
set SRMDIR=call %~dp0~silentrmdir.cmd

%SDEL% fwp_hashdb.txt
%SDEL% setup\.mode
%SDEL% patch.cfg
%SRMDIR% file
%SRMDIR% manifest
%SRMDIR% myp

del %~dp0~silentdel.cmd
del %~dp0~silentrmdir.cmd

popd

endlocal

IF "x%1"=="xinternal" GOTO end

IF NOT "x%1"=="xsilent" echo done.
IF NOT "x%1"=="xsilent" pause >nul

:end